REDROOM
PHP 8.5.2
Path:
Logout
Edit File
Size: 1.58 KB
Close
//lib/shim/is-not-revoked
Text
Base64
#!/bin/bash set -e # we need to set lastpipe so we can read the signers into the signers array below shopt -s lastpipe exit=0 quiet="" if [ "$1" = "-q" ]; then quiet=true shift fi compress_type() { local file="$1" magic="$(od -x -N2 "$file" | head -1 | cut -d' ' -f2)" case $magic in 8b1f) echo "gzip" ;; *) echo "none" ;; esac } for signed_binary in "$@"; do if [ ! -e "$signed_binary" ]; then echo "E: $signed_binary: file not found">&2 exit=1 continue fi if [ "$(compress_type "$signed_binary")" = "gzip" ]; then _signed_binary="$(mktemp)" trap 'rm -f "$_signed_binary"' EXIT gunzip < "$signed_binary" > "$_signed_binary" else _signed_binary="$signed_binary" fi sbverify --list "$_signed_binary" | grep subject: | grep -E -o "CN=([^/]|\\/)*" | readarray -t signers if [ -z "$signers" ]; then echo "E: $signed_binary: Could not find signing subject, sbverify output follows:">&2 sbverify --list "$_signed_binary" >&2 exit=1 continue fi for signer in "${signers[@]}"; do revoked=$(grep -xF "$signer" << EOF CN=Canonical Ltd. Secure Boot Signing CN=Canonical Ltd. Secure Boot Signing (2017) CN=Canonical Ltd. Secure Boot Signing (ESM 2018) CN=Canonical Ltd. Secure Boot Signing (2019) CN=Canonical Ltd. Secure Boot Signing (Ubuntu Core 2019) CN=Canonical Ltd. Secure Boot Signing (2021 v1) CN=Canonical Ltd. Secure Boot Signing (2021 v2) CN=Canonical Ltd. Secure Boot Signing (2021 v3) EOF ) || true if [ "$revoked" ]; then if [ -z "$quiet" ]; then echo "E: $signed_binary: revoked key $revoked used">&2 fi exit=1 fi done done exit $exit
Save
Close
Exit & Reset
Text mode: syntax highlighting auto-detects file type.
Directory Contents
Dirs: 1 × Files: 9
Delete Selected
Select All
Select None
Sort:
Name
Size
Modified
Enable drag-to-move
Name
Size
Perms
Modified
Actions
mok
DIR
-
drwxr-xr-x
2026-01-08 12:57:31
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
BOOTX64.CSV
108 B
lrw-r--r--
2024-04-04 12:39:00
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
fbx64.efi
86.27 KB
lrw-r--r--
2024-04-04 12:39:00
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
is-not-revoked
1.58 KB
lrwxr-xr-x
2024-01-24 09:14:48
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
mmx64.efi
836.21 KB
lrw-r--r--
2024-04-04 12:39:00
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
shimx64.efi
934.61 KB
lrw-r--r--
2024-04-04 12:39:00
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
shimx64.efi.dualsigned
945.89 KB
lrw-r--r--
2024-04-04 12:39:00
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
shimx64.efi.signed
944.01 KB
lrw-r--r--
2024-04-04 12:39:00
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
shimx64.efi.signed.latest
944.01 KB
lrw-r--r--
2024-04-04 12:39:00
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
shimx64.efi.signed.previous
933.26 KB
lrw-r--r--
2024-04-04 12:39:00
Edit
Download
Rename
Chmod
Change Date
Delete
OK
Cancel
recursive
OK
Cancel
recursive
OK
Cancel
Zip Selected
If ZipArchive is unavailable, a
.tar
will be created (no compression).